Orxonox: orxonox::NetworkFunctionBase Class Reference

# orxonox::NetworkFunctionBase Class Reference

`#include <src/network/NetworkFunction.h>`

Inheritance diagram for orxonox::NetworkFunctionBase:

List of all members.

## Public Member Functions

const std::string & | getName () const
uint32_t | getNetworkID () const
| NetworkFunctionBase (const std::string &name)
virtual void | setNetworkID (uint32_t id)
| ~NetworkFunctionBase ()

## Static Public Member Functions

static void | destroyAllNetworkFunctions ()
static bool | isStatic (uint32_t networkID)
static void | setNetworkID (const std::string &name, uint32_t id)

## Static Protected Attributes

static std::map< uint32_t, bool > | isStaticMap_

## Private Attributes

std::string | name_
uint32_t | networkID_

## Static Private Attributes

static std::map< std::string, NetworkFunctionBase * > | nameMap_

## Constructor & Destructor Documentation

orxonox::NetworkFunctionBase::NetworkFunctionBase | ( | const std::string & | name | ) |

References name_, nameMap_, networkID_, and RegisterRootObject.

orxonox::NetworkFunctionBase::~NetworkFunctionBase | ( |  | ) |

## Member Function Documentation

void orxonox::NetworkFunctionBase::destroyAllNetworkFunctions | ( |  | ) | `[static]`

References nameMap_.

Referenced by orxonox::GSRoot::~GSRoot().

const std::string& orxonox::NetworkFunctionBase::getName | ( |  | ) | const`[inline]`

uint32_t orxonox::NetworkFunctionBase::getNetworkID | ( |  | ) | const`[inline]`

Referenced by orxonox::NetworkFunctionStatic::NetworkFunctionStatic(), and orxonox::NetworkMemberFunctionBase::NetworkMemberFunctionBase().

static bool orxonox::NetworkFunctionBase::isStatic | ( | uint32_t | networkID | ) | `[inline, static]`

static void orxonox::NetworkFunctionBase::setNetworkID | ( | const std::string & | name,
|  | uint32_t | id |
| ) |  |  | `[inline, static]`

virtual void orxonox::NetworkFunctionBase::setNetworkID | ( | uint32_t | id | ) | `[inline, virtual]`

Reimplemented in orxonox::NetworkFunctionStatic, and orxonox::NetworkMemberFunctionBase.

Referenced by orxonox::packet::FunctionIDs::process(), orxonox::NetworkMemberFunctionBase::setNetworkID(), and orxonox::NetworkFunctionStatic::setNetworkID().

## Member Data Documentation

std::map< uint32_t, bool > orxonox::NetworkFunctionBase::isStaticMap_`[static, protected]`

std::string orxonox::NetworkFunctionBase::name_`[private]`

Referenced by NetworkFunctionBase().

std::map< std::string, NetworkFunctionBase * > orxonox::NetworkFunctionBase::nameMap_`[static, private]`

Referenced by destroyAllNetworkFunctions(), and NetworkFunctionBase().

uint32_t orxonox::NetworkFunctionBase::networkID_`[private]`

Referenced by NetworkFunctionBase().

The documentation for this class was generated from the following files:

- src/network/NetworkFunction.h
- src/network/NetworkFunction.cc